<semantic-query
  query='SELECT
      (YEAR(?date_edited) as ?year)
      (MONTH(?date_edited) as ?month)
      (DAY(?date_edited) as ?day)
      (STRAFTER(STR(?edited_by), "http://www.metaphacts.com/resource/user/") as ?username)
    WHERE {
    <http://www.metaphacts.com/ontologies/platform#formContainer> <http://www.w3.org/ns/ldp#contains> ?container .
    ?container <http://www.w3.org/ns/prov#generatedAtTime> ?date_edited_raw ;
      <http://www.w3.org/ns/prov#wasAttributedTo> ?edited_by .

      [[#if bookiri]]
        FILTER(REGEX(STR(?container), "[[urlParam "bookiri"]]", "i"))
      [[/if]]
      BIND(xsd:dateTime(?date_edited_raw) as ?date_edited)
    }
    ORDER BY DESC(?date_edited_raw)
    LIMIT 1'
  template='<dt>Last Updated</dt>
  {{#each bindings}}
    <dd>
      By {{username.value}} on {{day.value}}.{{month.value}}.{{year.value}}
    </dd>
  {{/each}}'>
</semantic-query>
